amtm Can't install amtm on AC3200

ipkpjersi

Occasional Visitor
Hi,

I'm not able to install amtm on my AC3200 running Merlin 384.13_10. I was stuck on 3.18 with an error about not being able to update it, so I did a factory reset of my AC3200, and set up my router again to try to install amtm. I'm still getting errors about the download failed. The weird thing is, nslookup resolves for both fwupdate.asuswrt-merlin.net and diversion.ch, and I was even able to manually download amtm.mod with wget -v https://fwupdate.asuswrt-merlin.net/amtm_fw/amtm.mod:


Does anyone have any ideas for things I can check?

Thanks
 

ColinTaylor

Part of the Furniture
Your firmware is too old and likely suffers the same problem as the RT-AC87U:

 

ipkpjersi

Occasional Visitor
Your firmware is too old and likely suffers the same problem as the RT-AC87U:

Oh boy I was worried about that, that's kind of what I was expecting. Is there any way to force download an older version of amtm, or are my options literally no amtm or buy a new router?
 

ColinTaylor

Part of the Furniture

ipkpjersi

Occasional Visitor
I don't have those router's but from reading that thread I think you just need to make a couple of changes to get the new version of amtm to install. Follow the instuctions here: http://www.snbforums.com/threads/ac87u-all-download-attempts-failed.75049/post-734277
That's awesome, thanks so much!

curl -Os https://diversion.ch/scripts/ca_cert_check.sh && sh ca_cert_check.sh didn't work but wget https://diversion.ch/scripts/ca_cert_check.sh; chmod +x *.sh; ./ca_cert_check.sh did work. I now have the latest amtm, entware, and all the scripts I want (which really isn't very many).

Thanks again.
 

ipkpjersi

Occasional Visitor
Whoops looks like I spoke too soon, I was able to get amtm installed but not entware.

I should really probably just buy a newer router... My AC3200 was quite expensive but it's getting old.

edit: I think I understand what's happening now. These scripts seem to rely heavily on curl, but curl is failing, so I enabled insecure mode with echo insecure >> $HOME/.curlrc and it seems like I can install entware, but it's not recognizing my USB drive. I tried a different USB drive and I was able to get everything installed. I guess my USB drive failed.
 
Last edited:

TheMorpN

Regular Contributor
Not sure if this related, however, it use to work on my router, but now, after I uninstalled Diversion, I can no longer connect to any site from the router. I am able to resolve the sites, but it is unable to connect to any site:

1643395599887.png
 

ipkpjersi

Occasional Visitor
One of my two AC3200's ended up dying (I factory reset it twice, once with custom scripts, and then once without custom scripts, that's why I started looking into installing the latest amtm, because my router started to die I just didn't realize it yet lol) so this thread is pretty much done for me lol

I ended up getting an AX68U, gonna wait a few days before putting any scripts on it but it's been great so far with the latest Merlin on it (after upgrading to the latest stable stock first).
 
Last edited:

Christophe

New Around Here
I also have an AC3200 and went through the "echo insecure >> $HOME/.curlrc" to allow AMTM to be upgraded and Diversion to be installed.
I also did the wget https://diversion.ch/scripts/ca_cert_check.sh; chmod +x *.sh; ./ca_cert_check.sh from above as well.

Now when I go to some sites on my mobile, I get a bunch of "Invalid SSL Certificate: https://moatads.com ....." (a whole bunch of them) - which I can click through to get to my content - But I'm not sure how to get rid of this error (aside from turning Diversion off). Yes I realize that the AC3200 on 384.13.10 is the end of the line - and an upgrade would do the trick, but would like to fix it in any case.
 

Christophe

New Around Here
I also have an AC3200 and went through the "echo insecure >> $HOME/.curlrc" to allow AMTM to be upgraded and Diversion to be installed.
I also did the wget https://diversion.ch/scripts/ca_cert_check.sh; chmod +x *.sh; ./ca_cert_check.sh from above as well.

Now when I go to some sites on my mobile, I get a bunch of "Invalid SSL Certificate: https://moatads.com ....." (a whole bunch of them) - which I can click through to get to my content - But I'm not sure how to get rid of this error (aside from turning Diversion off). Yes I realize that the AC3200 on 384.13.10 is the end of the line - and an upgrade would do the trick, but would like to fix it in any case.
I might have fixed it: I did opkg install ca-certificates and the issue seems to be gone.
 

Latest threads

Sign Up For SNBForums Daily Digest

Get an update of what's new every day delivered to your mailbox. Sign up here!
Top